My favorites | Sign in
Project Home Wiki Issues Source
New issue   Search
for
  Advanced search   Search tips   Subscriptions
Issue 159: odcctools make error on Mandriva
3 people starred this issue and may be notified of changes. Back to list
Status:  New
Owner:  ----


Sign in to add a comment
 
Reported by dee...@gmail.com, Nov 13, 2008
1. Got error issue like in issue 141 while making "make
LLVM_VERSION_INFO=2.0-svn-iphone-dev-0.3-svn "

2. Updated headers in odcctools
https://code.google.com/p/iphone-dev/issues/detail?id=141&colspec=ID%20Type%20Status%20Opsys%20CPU%20Priority%20Owner%20Summary#c16


3. Making odcctools fails with:

I'm getting the "load command 7" error as well, trying to compile in Fedora.

If I do the above svn switches, I get the following while compiling odcctools:

In file included from ../../../odcctools/include/foreign/objc/Protocol.h:31,
                 from ../../../odcctools/otool/print_objc.c:34:
../../../odcctools/include/foreign/objc/Object.h:52: error: stray '@' in
program
../../../odcctools/include/foreign/objc/Object.h:52: error: expected '=',
',', ';',
'asm' or '__attribute__' before 'Object'
../../../odcctools/include/foreign/objc/Object.h:59: error: expected
identifier or
'(' before '+' token
../../../odcctools/include/foreign/objc/Object.h:60: error: expected
identifier or
'(' before '-' token
../../../odcctools/include/foreign/objc/Object.h:64: error: expected
identifier or
'(' before '+' token
../../../odcctools/include/foreign/objc/Object.h:65: error: expected
identifier or
'(' before '+' token
../../../odcctools/include/foreign/objc/Object.h:66: error: expected
identifier or
'(' before '-' token
../../../odcctools/include/foreign/objc/Object.h:67: error: expected
identifier or
'(' before '+' token
../../../odcctools/include/foreign/objc/Object.h:68: error: expected
identifier or
'(' before '-' token

(... plus lots more of similar messages, and very similar messages for
odcctools/include/foreign/objc/Protocol.h and odcctools/otool/print_objc.c)


I'm using Mandriva 2008


Any suggestions?

Mar 7, 2009
#1 kayvansy...@gmail.com
I am getting the exact same errors as above trying to compile odcctools-9.2-ld on
Fedora 10 x86_64.

Any suggestions?
Mar 17, 2009
#3 michael....@googlemail.com
deeSun & kayvansylvan:

this command solved the problem for me: 'sudo apt-get install gobjc'

(credits to max.e.stewart)
Apr 13, 2009
#4 luke0...@gmail.com
I did it - 'sudo apt-get install gobjc'
But same errors happen.
Other suggestions?
Apr 13, 2009
#5 luke0...@gmail.com
I've built successfully. Thank you.
Sign in to add a comment

Powered by Google Project Hosting